Bug 368721 - PAM *-l files undocumented
PAM *-l files undocumented
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 13:47 EST by Sigh
Modified: 2008-03-13 03:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: 6.9-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:45:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sigh 2007-11-06 13:47:04 EST
Description of problem:
The /etc/pam.d/su-l and /etc/pam.d/runuser-l files appear to be completely
undocumented.  The files themselves have no comments.  The
/usr/share/doc/coreutils-6.9 files don't mention them.  The man pages don't
mention them.  The info pages say "this command has PAM support" but then point
the user at the plain 'su' and 'runuser' files, ignoring the *-l variants.


Version-Release number of selected component (if applicable):  6.9-3.fc7


Steps to Reproduce:
1.  See "su-l" mentioned in logwatch report.
2.  Fail to find explanation anywhere in docs, --help, FAQs, bug lists.
3.  Become mildly annoyed at the presence of undocumented /etc files.
4.  Become slightly alarmed at "su-l" appearing in strings(1) output on /bin/su
with no explanation.
  
Actual results:
I had to look at coreutils-split-pam.patch in the srpm to confirm my guess that
these files had something to do with the -l option.

Expected results:
I would have expected the parts of the docs that mention PAM support in the
first place to include "If the -l option is given, the corresponding *-l PAM
file will be used instead.  By default, these include the base PAM file and then
add some additional blahblahblah..."
Comment 1 Ondrej Vasik 2008-01-25 14:53:56 EST
Added a bit words about those runuser-l and su-l files with different PAM file
to man pages of coreutils-6.10-1.fc9 (now built in RAWHIDE). 
Comment 2 Fedora Update System 2008-03-04 09:15:35 EST
coreutils-6.9-7.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-03-07 14:51:34 EST
coreutils-6.9-7.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update coreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2333
Comment 4 Fedora Update System 2008-03-13 03:45:35 EDT
coreutils-6.9-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.